BopbeeHelp Center

Projects

Create, list, update, and delete upload projects.

GET
/v1/projects

Authorization

BearerAuth
AuthorizationBearer <token>

Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.

In: header

Query Parameters

limit?Limit
Range1 <= value <= 100
Default50
cursor?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects"
{  "projects": [    {      "id": "string",      "name": "string",      "slug": "string",      "url": "string",      "upload_mode": "string",      "status": "string",      "latest_upload_version": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "request_id": "string"    }  ],  "next_cursor": "string",  "request_id": "string"}
POST
/v1/projects

Authorization

BearerAuth
AuthorizationBearer <token>

Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/projects" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "name": "string",  "slug": "string",  "url": "string",  "upload_mode": "string",  "status": "string",  "latest_upload_version": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "request_id": "string"}
GET
/v1/projects/{project_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.

In: header

Path Parameters

project_id*Project Id

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects/string"
{  "id": "string",  "name": "string",  "slug": "string",  "url": "string",  "upload_mode": "string",  "status": "string",  "latest_upload_version": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "request_id": "string"}
PATCH
/v1/projects/{project_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.

In: header

Path Parameters

project_id*Project Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "slug": "string",  "url": "string",  "upload_mode": "string",  "status": "string",  "latest_upload_version": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "request_id": "string"}
DELETE
/v1/projects/{project_id}

Authorization

BearerAuth
AuthorizationBearer <token>

Team API key (prefix bb_live_). Create keys in Team settings on a Pro or Studio plan.

In: header

Path Parameters

project_id*Project Id

Response Body

application/json

curl -X DELETE "https://example.com/v1/projects/string"
Empty